/*
 * Programming in Java, Jacobs University, 2015
 *
 * Create a frame (a top-level window) and add a button to it.  A
 * frame is not visible until it is set to be visible. Do something
 * when the button is pressed and exit the application if the frame is
 * closed by the window manager.
 *
 * This version uses inner classes to implement the listener interfaces.
 */ 

import java.awt.event.ActionEvent;
import java.awt.event.WindowEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowListener;
import javax.swing.JFrame;
import javax.swing.JButton;

public class PressMeSingle
    implements ActionListener, WindowListener
{
    private JFrame frame;
    private JButton button;

    public PressMeSingle()
    {
	frame = new JFrame();
	button = new JButton("Press Me!");
	button.addActionListener(this);
	frame.add(button);
	frame.pack();
	frame.addWindowListener(this);
	frame.setVisible(true);
    }

    /*
     * Implementing the ActionListener interface...
     */
    
    public void actionPerformed(ActionEvent e)
    {
	System.out.println("");
	System.out.println("oouch!");
	System.out.println(e);
    }

    /*
     * Implementing the WindowListener interface...
     */

    public void windowClosing(WindowEvent e)
    {
	System.exit(0);
    }
    public void windowOpened(WindowEvent e) {}
    public void windowClosed(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowActivated(WindowEvent e) {}
    public void windowDeactivated(WindowEvent e) {}

    public static void main(String[] args)
    {
	PressMeSingle pm = new PressMeSingle();
    }
}
